locked
The Xamarin.Ios SDK version installed on Mac is not compatible with this version of Visual Studio. RRS feed

  • Question

  • User300429 posted

    Hi , I'm trying to connect my visual studio on windows to my friend mac but i got this erros. what should I do ?

    "The Xamarin.Ios SDK version installed on Mac is not compatible with this version of Visual Studio. Would you like us to install xamarin.ios 12.0 for you? This will overwrite any existing Xamarin.ios installation on your mac." ? ? my visual studio version on windows : 15.8.7

    Tuesday, October 23, 2018 10:11 AM

Answers

  • User343916 posted

    Yes you have to install xamarin IOS 12 in your mac ..

    IN VS -> About Visual Studio -> You can see the xamarin.IOS version..Otherwise it will not be connect ..If you are using VisualStuio for mac update that also..

    You should maintain same version in both widows and Mac

    • Marked as answer by Anonymous Thursday, June 3, 2021 12:00 AM
    Tuesday, October 23, 2018 10:38 AM

All replies

  • User343916 posted

    Yes you have to install xamarin IOS 12 in your mac ..

    IN VS -> About Visual Studio -> You can see the xamarin.IOS version..Otherwise it will not be connect ..If you are using VisualStuio for mac update that also..

    You should maintain same version in both widows and Mac

    • Marked as answer by Anonymous Thursday, June 3, 2021 12:00 AM
    Tuesday, October 23, 2018 10:38 AM
  • User300429 posted

    In my visual studio I have this version : Microsoft Visual Studio Professional 2017 Version 15.8.7 VisualStudio.15.Release/15.8.7+28010.2046 Microsoft .NET Framework Version 4.7.03056 Installed Version: Professional VisualStudio.Mac 1.0 Mac Extension for Visual Studio Xamarin.iOS and Xamarin.Mac SDK 12.0.0.15 (84552a4) Xamarin.iOS and Xamarin.Mac Reference Assemblies and MSBuild support.

    So what should I do ? if I do not want to update my mac ? else it's the only solution ? update my mac ?

    Tuesday, October 23, 2018 10:53 AM
  • User384399 posted

    Hi - did you ever resaolve this without updating your MAc. I am in a similar scenario where if I try to pair to my MAc I get this message....

    The mono version intsallled on the MAc may not be compatible with this version of Visual Studio. Would you like us to intsll Mono '5.18' for you? This will overwrite any existing Mono installations on your Mac.

    I was OK up until aroung 10 days ago, so something must have updated automatically on my Windows 10 Visual Studio 2017. Nightmare as I cannot update the Mac.

    Tuesday, April 9, 2019 10:12 AM
  • User394576 posted

    Hi. This error occurs when connecting. vs2019 catalina 10.15.4 Mac OS

    Wednesday, May 13, 2020 5:57 AM
  • User391202 posted

    @hball said: Hi. This error occurs when connecting. vs2019 catalina 10.15.4 Mac OS

    i have this problem too

    whats problem ?

    Saturday, June 20, 2020 12:08 PM